Skip Menu |
 

This queue is for tickets about the threads-lite CPAN distribution.

Report information
The Basics
Id: 68065
Status: resolved
Priority: 0/
Queue: threads-lite

People
Owner: LEONT [...] cpan.org
Requestors: ppisar [...] redhat.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.030
Fixed in: (no value)



Subject: Missing dependencies in META.yml
Download (untitled) / with headers
text/plain 340b
META.yml is missing following run-time dependencies dependencies: constant (lib/threads/lite/list.pm:11) Scalar::Util (lib/threads/lite/tid.pm:5) XSLoader (lib/threads/lite.pm:13) Test-time modules: Time::HiRes (t/20-queues.t:11) And optional test-time modules: Test::Pod 1.22 (t/pod.t:9) Test::Pod::Coverage 1.08 (t/pod-coverage.t:7)
Download (untitled) / with headers
text/plain 943b
On Tue May 10 04:41:27 2011, ppisar wrote: Show quoted text
> META.yml is missing following run-time dependencies dependencies: > > constant (lib/threads/lite/list.pm:11) > Scalar::Util (lib/threads/lite/tid.pm:5) > XSLoader (lib/threads/lite.pm:13) > > Test-time modules: > > Time::HiRes (t/20-queues.t:11)
Well, all of those should be present anyway in any perl 5.10 or higher (which I'm explicitly depending on), so it's not strictly necessary, but I'll add them for good form. Show quoted text
> And optional test-time modules: > > Test::Pod 1.22 (t/pod.t:9) > Test::Pod::Coverage 1.08 (t/pod-coverage.t:7)
Module::Build doesn't provide a way to indicate optional test-time dependencies (as it doesn't implement CPAN::Meta::Spec 2.0), so I can't implement that for now. It does support mandatory build time dependencies and optional runtime dependencies, but neither are very helpful. Those tests should probably be removed or changed to release-tests anyway. Leon


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.